<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_caja'])) {
    $errors[] = "ID vacío";
} else if (!empty($_POST['id_caja'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    //Archivo de funciones PHP
include "../funciones.php";
    $fecha_actual = date('Y-m-d');
    $moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
    // escaping, additionally removing everything that could be (html/javascript-) code
    $fecha    = mysqli_real_escape_string($conexion, (strip_tags($_POST["fecha"], ENT_QUOTES)));
    $hora     = mysqli_real_escape_string($conexion, (strip_tags($_POST["hora"], ENT_QUOTES)));
    $efectivo = floatval($_POST['efectivo']);
    $cheque   = floatval($_POST['cheque']);
    $trans    = floatval($_POST['trans']);
    $ventas   = floatval($_POST['ventas']);
    $compras  = floatval($_POST['compras']);
    $subtotal = floatval($_POST['sub']);
    $total    = floatval($_POST['tot']);
    $users    = intval($_SESSION['id_users']);
    $id_caja  = intval($_POST['id_caja']);
    $faltante = $total- $efectivo;

    // write new user's data into database

    $sql = "UPDATE detalle_caja SET  ing_efectivo='" . $efectivo . "',
    ing_cheque='" . $cheque . "',
    ing_transf='" . $trans . "',
    egresos='" . $compras . "',
    h_cierre='" . $hora . "',
    total_caja='" . $total . "',
    estado_caja='2',
    faltante='" . $faltante . "'
    WHERE caja_id='" . $id_caja . "'";
    $query_update = mysqli_query($conexion, $sql);

// Paso 2: Obtener datos de ventas de hoy
$consulta_ventas = "SELECT id_producto, cantidad FROM detalle_fact_ventas WHERE fecha_added = CURDATE()";
$resultado_ventas = $conexion->query($consulta_ventas);

// Paso 3: Actualizar el campo stock_final en la tabla stock
/*while ($fila_ventas = $resultado_ventas->fetch_assoc()) {
    $id_producto = $fila_ventas['id_producto'];
    $cantidad_vendida = $fila_ventas['cantidad'];

    // Consultar el stock actual del producto
    $consulta_stock_actual = "SELECT stock_final FROM stock WHERE id_producto_stock = $id_producto";
    $resultado_stock = $conexion->query($consulta_stock_actual);
    $fila_stock = $resultado_stock->fetch_assoc();
    $stock_actual = $fila_stock['stock_final'];

    // Calcular el nuevo stock_final después de la venta
    $nuevo_stock_final = $stock_actual - $cantidad_vendida;

    // Actualizar el campo stock_final en la tabla stock
    $actualizar_stock = "UPDATE stock SET stock_final = $nuevo_stock_final WHERE id_producto_stock = $id_producto";
    if ($conexion->query($actualizar_stock) !== true) {
        echo "Error al actualizar datos: " . $conexion->error;
    }
}*/


    if ($query_update) {
        echo "<script>
        $('#cerrarCaja').modal('hide');
        </script>";
        //$messages[] = "Cierre de caja Exitoso.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
       <strong>Error!</strong>
       <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
</div>
<?php
}
if (isset($messages)) {

    ?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
    </div>
    <?php
}

?>
<!-- Modal -->
<div class="modal fade" id="print" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel"><i class='fa fa-edit'></i> EFECTIVO: <?php echo $total; ?></h4>
            </div>
            <div class="modal-body" align="center">
                <strong><h3>FALTANTE</h3></strong>
                <div class="alert alert-info" align="center">
                    <strong><h1>
                        <?php echo $moneda . ' ' . number_format($faltante, 2);?>

                    </h1></strong>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" id="imprimir" class="btn btn-primary btn-block btn-lg waves-effect waves-light" onclick="reporte('<?php echo $fecha_actual; ?>');"><span class="fa fa-print"></span> Ticket</button><br>
                <!--<button type="button" id="imprimir2" class="btn btn-success btn-block btn-lg waves-effect waves-light" onclick="printFactura('<?php echo $factura_id; ?>');" accesskey="p"><span class="fa fa-print"></span> Factura</button>-->
            </div>
        </div>
    </div>
</div>
<!-- Modal -->
<!--<form id="modalSalirx">
    <div class="modal fade" id="modalSalir" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <input type="hidden" id="id_egreso" name="id_egreso">
                <h3 class="text-center text-muted">Estas seguro?</h3>
                <p class="lead text-muted text-center" style="display: block;margin:9px">CIERRE DE CAJA EXITOSO, SU SECCION A CADUCADO<?php echo $total; ?></p>
                <div class="modal-footer">
                    <a type="button" href="../../login.php?logout" class="btn btn-danger btn-block btn-lg waves-effect waves-light"><span class="fa fa-exit"></span> Aceptar</a>
                </div>
            </div>
        </div>
    </div>
</form>-->